<?php
session_start();
?>

<html>
	<head>
	<title>Mobile Preview, 480x320</title>
	</head>

<style>
body{
	background-color: black;
	font-family: sans-serif;
	color: white;
	text-align: center;
}

h3{
	font-size: 16pt;
	font-weight: normal;
}

a{
	color: silver;
	text-decoration: none;
}

a:hover{
	color: white;
}

.previewdiv{
	background-color: #333;
	padding: 22pt;
	width: 60%;
	margin-left: auto;
	margin-right: auto;
	margin-top: 4%;
	border: 1px solid white;
	border-radius: 8pt;
}

.previewframe{
	border: 2px solid #eee;
}

</style>

<body>

<?php
if(!isset($_SESSION['width']) || isset($_GET['clearview'])) $_SESSION['width'] = '480';
if(!isset($_SESSION['height']) || isset($_GET['clearview'])) $_SESSION['height'] = '320';

if(isset($_GET['switchview'])){
	$_SESSION['width'] = ($_SESSION['width'] == '320') ? '480' : '320';
	$_SESSION['height'] = ($_SESSION['height'] == '480') ? '320' : '480';
}
?>

<h3>Mobile Phone Preview</h3>
<a href="?switchview=true">Switch Orientation</a> | <a href="?">Refresh</a>

<div class="previewdiv">
<iframe width="<?php echo $_SESSION['width'];?>" height="<?php echo $_SESSION['height'];?>" src="hc" class="previewframe"></iframe>
</div>

</body>

</html>
