<?php

class helicalendar{
	
	var $displayHeader;
	var $displayNavigation;
	var $displayPage;
	var $displayFooter;
	var $notificationsArray;
	private $HCDB;
	
	function __construct(){
	
		$db_Loc = 'helicalendar.db';
		
		if(!is_file($db_Loc)){
			$this->HCDB = sqlite_open($db_Loc) or die('ERROR OPENING DATABASE.');
			$createTables = 
			"
			CREATE TABLE config(
				id INTEGER PRIMARY KEY,
				name TEXT,
				passkey TEXT,
				logintime INTEGER
			);
			
			CREATE TABLE members(
				id INTEGER PRIMARY KEY,
				membername TEXT,
				membercolor TEXT
			);
			
			CREATE TABLE events(
				id INTEGER PRIMARY KEY,
				datestamp INTEGER,
				name TEXT,
				memberid INTEGER,
				description TEXT,
				duration TEXT
			)
			";
			
			sqlite_query($this->HCDB, $createTables);
		}else{
			$this->HCDB = sqlite_open($db_Loc) or die('ERROR OPENING DATABASE.');
		}
		
		if($_GET['logout'] == true || !isset($_SESSION['loggedin'])) $_SESSION['loggedin'] = false;
	}
	
	function addNotification($note,$color){
		switch($color) {
			case 'g':
				$this->notificationsArray[] = array('note'=>$note, 'type'=>'lime');
				break;
			case 'b':
				$this->notificationsArray[] = array('note'=>$note, 'type'=>'red');
				break;
			default:
				$this->notificationsArray[] = array('note'=>$note, 'type'=>'gold');
				break;
		}
	}
	
	function getNotifications($template = '%N%'){
		$result='<ul>';
		if(count($this->notificationsArray) > 0){
			foreach($this->notificationsArray as $noteArray) {
				$temp='<li>'.str_replace('%N%',$noteArray['note'],$template).'</li>';
				$result.= str_replace('%C%',$noteArray['type'],$temp);
			}
			
		}
		$result.='</ul>';
		return $result;
	}
	
	function doQuery($query){
		return sqlite_query($this->HCDB,$query);
	}
	
	function getArrayQuery($query){
		return sqlite_array_query($this->HCDB,$query);
	}
}

$HC = new helicalendar;
?>
